#ifndef _E3D_SPRITE_INDEX_MANAGER_
#define _E3D_SPRITE_INDEX_MANAGER_

#include <map>

namespace HPL {
namespace E3D {
/** スプライトのインデックスとかを管理するマネージャ
  */
class E3DSpriteIndexManager {
private:
	std::map<int, int > m_mapSpriteIndexMap;
public:
	E3DSpriteIndexManager();
	~E3DSpriteIndexManager();
	
	void set(int nUserIndex, int nSpriteIndex );
	int get(int nUserIndex );

};

}
}

#endif
